Bug 586919 - Down level libcxgb3 breaks RDMA over Chelsio's T3 RNIC.
Down level libcxgb3 breaks RDMA over Chelsio's T3 RNIC.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libcxgb3 (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Doug Ledford
Gurhan Ozen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 10:05 EDT by Steve Wise
Modified: 2013-11-03 20:59 EST (History)
4 users (show)

See Also:
Fixed In Version: libcxgb3-1.2.5-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:02:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Wise 2010-04-28 10:05:38 EDT
Description of problem: 

Down level libcxgb3 in RHEL6alpha3 breaks RDMA over Chelsio's T3 HW.  All RDMA applications fail with a FW version mismatch when trying to load the library.

Version-Release number of selected component (if applicable):

libcxgb3-1.2.1

How reproducible:

100%


Steps to Reproduce:
1. load iw_cxgb3 and configure the ethX interface accordingly
2. run: rping -s -a <ipaddr of T3 interface> -Vvd -p 9999
3.
  
Actual results:

root@helga ~]# rping -s -a 102.88.88.85 -Vvd -p 9999
port 9999
libcxgb3: Fatal firmware version mismatch. Firmware major number is 7
and libcxgb3 needs 6.
libibverbs: Warning: no userspace device-specific driver found for
/sys/class/infiniband_verbs/uverbs1
libibverbs: Warning: no userspace device-specific driver found for
/sys/class/infiniband_verbs/uverbs0
libcxgb3: Fatal firmware version mismatch. Firmware major number is 7
and libcxgb3 needs 6.
libcxgb3: Fatal firmware version mismatch. Firmware major number is 7
and libcxgb3 needs 6.
libibverbs: Warning: couldn't load driver '(null)':


Expected results:

rping server should start listening on the T3 interface for rdma connections


Additional info:


The libcxgb3 package in RHEL6 is down level.  RHEL6 needs libcxgb3-1.2.5 from here:

http://www.openfabrics.org/downloads/cxgb3/libcxgb3-1.2.5.tar.gz
Comment 2 RHEL Product and Program Management 2010-04-28 11:36:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 RHEL Product and Program Management 2010-07-15 10:52:18 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Doug Ledford 2010-08-03 01:50:34 EDT
This was resolved previously, the bug just wasn't updated.  Current rev libcxgb3 is already in rhel6.
Comment 7 releng-rhel@redhat.com 2010-11-10 16:02:28 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.